I am a little confused by the new PwnageTool 4.0. Could someone clarify if I can jailbreak a 3GS (old boot ROM) on 3.1.3 that is CURRENTLY NOT jailbroken (but has been jailbroken before).

Would the correct procedure be?
1) Update the phone to 4.0
2) Use PwnageTool 4.0 to jailbreak

Any help would be appreciated. Thanks in advance.